import { createStore } from 'vuex'

export default createStore({
  state: {
    sysConfig: {
      autoNext: true,
      autoRead: false,
      autoRed: false

    }
  },
  getters: {
  },
  mutations: {
    SET_SYSCONFIG(store, sysConfig: {
      autoNext: boolean,
      autoRead: boolean,
      autoRed: boolean

    }) {
      store.sysConfig = sysConfig
      return store


    }
  },
  actions: {
    LoginOut() {
      localStorage.setItem('token', '')
    }
  },
  modules: {
  }
})
